Перейти к публикации

Рекомендованные сообщения

Имею навигатор Explay PN-920.

Возникла необходимость установки на него 2 версий Навител: 3.5 и 5.0 (для работы с официальными картами России и альтернативными картами Украины).

Встроенная память 2 Гг, флешка - 4 Гг.

Кто пробовал проделать подобное, отзовитесь. Сам навигатор позволяет установить несколько навигационных программ. При этом основная программа (Навител) устанавливается на внутреннюю карту, а остальные (в моем случае - другая версия Навител) должны устанавливаться на внешнюю карту. Проблем в установке программы в нужный каталог не возникнет, но вопрос в том, как установленная на внешней карте программа сможет увидеть ключ, который будет находиться во внутренней памяти?

 

Извиняюсь, если тема уже где-то обсуждалась, но поиск результатов не дел.

Ссылка на комментарий
Поделиться на других сайтах

вопрос в том, как установленная на внешней карте программа сможет увидеть ключ, который будет находиться во внутренней памяти?

Во первых ключ можно переложить в папку NavitelContent\License - эта папка, как и папка Navi будет использоваться обеими версиями (будьте готовы к проблемам с настройками, точками и пр. :) ).

Во вторых - ничто вам не мешает просто скопировать ключ в папку с программой на флешке.

Ссылка на комментарий
Поделиться на других сайтах

Боюсь, просто скопировать ключ не получится. Этот вариант - первое, что приходит в голову. Однако ключ рассчитан для применения Навитела во внутренней памяти устройства и для его использования на внешней карте ключ нужно перерегистрировать. Или я не прав?

Ссылка на комментарий
Поделиться на других сайтах

Боюсь, просто скопировать ключ не получится. Этот вариант - первое, что приходит в голову. Однако ключ рассчитан для применения Навитела во внутренней памяти устройства и для его использования на внешней карте ключ нужно перерегистрировать. Или я не прав?

Ключ активации рассчитан на проверку специально вычисленного серийного номера и его соответствия лицензинному ключу. А не на проверку места, где сам ключ лежит.

Не хотите копировать - положите его в общую папку NavitelContent\License. Версия 3.5.0 (по крайней мере последние билды этой версии) тоже умеет работать с этой папкой.

Ссылка на комментарий
Поделиться на других сайтах

Обе версии будут работать,но при каждом запуске на обоих версиях будет появляться сообщение об ошибке открытия скина,т.к. настройки сохраняются в папке Navi,а она будет единая для обоих версий.

Ссылка на комментарий
Поделиться на других сайтах

(будьте готовы к проблемам с настройками, точками и пр. :) ).

А поподробнее можно? О каких именно ошибках речь и как их избежать?

serp61, если не трудно и есть опыт, опишите как именно устанавливать 2 версии программы.

Ссылка на комментарий
Поделиться на других сайтах

R-V-K, папку с дополнительным Навителом и его ехе-шник переименуйте в CityGuide\CityGuideCE.exe и положите на карту памяти.Запускаться будет по кнопке Карта1.

Ссылка на комментарий
Поделиться на других сайтах

(будьте готовы к проблемам с настройками, точками и пр. :) ).

А поподробнее можно? О каких именно ошибках речь и как их избежать?

Папка Navi у них будет общая. Соответственно, писать (и читать) они будут в одни и те же файлы. Ну например настройки программы будут записаны в SETTINGS.001.INI. Однако в 5.0.0 в файле есть такие параметры, которых нет в 3.5.0 (и наоборот), некоторые параметры имеют несколько отличный формат. Поэтому и будут ошибки. Какие-то ошибки будут проигнорированы, какие-то - исправлены (перезаписью параметра), предсказать заранее это трудно. Кстати, в этом файле также прописан и путь к атласу. А вы ведь намерены иметь разные атласы в разных версиях, да? :) И путь/имя активного скина тоже прописан в этом файле...

 

Если ставить не 3.5.0, а 3.2.6 - расхождений ещё больше (даже кодировка файлов у них разная), но там файлы называются несколько иначе (например файл настроек - просто SETTINGS.INI), поэтому проблем совместимости может оказаться даже меньше, чем с 3.5.0 :)

 

Примерно те же проблемы могут быть и с путевыми точками, хотя здесь их поменьше будет - в 3.5.0 и 5.0.0 формат файла точек одинаков, поэтому есть хороший шанс, что точка, вписанная, скажем, в 3.5.0 будет видна и в 5.0.0. С версией 3.2.6 ситуация посложнее, ведь там файл будет другим (и формат его может чуть-чуть отличаться), поэтому точка, внесенная в одной версии - не появится сама в другой версии.

Примерно то же самое - с файлами маршрута.

 

Возможны и другие проблемы, особенно если вы используете что-то нестандартное, например скины...

 

Вот с треками ситуация получше - формат треков не является навителовским, поэтому от версии совсем никак не зависит. Даже файл визуализации последних 10000 точек трека имеет одинаковый формат во всех версиях (хотя в 3.2.6 у него другой размер), поэтому визуализация последнего трека будет доступна во всех версиях.

Изменено пользователем Yurych
Ссылка на комментарий
Поделиться на других сайтах

И никаких больше безглючных вариантов нет?

Чтоб совсем безглючных - нет. Потому что программа рассчитана только на одну установку. Строго говоря - одновременная установка нескольких версий Навитела нарушает лицензионное соглашение.

 

P.S. Кстати, вариант есть: Иметь два навигатора с разными версиями :) У некоторых так и есть - на телефоне одна версия, на навигаторе - другая. Хотя это всё равно извращение.

Ссылка на комментарий
Поделиться на других сайтах

На другом форуме рекомендуют запускать с помощью скриптов. Никто не заморачивался?

Для меня, правда, это темный лес. Но надо попробовать. Проблем, как говорят, не будет вообще никаких!

Ссылка на комментарий
Поделиться на других сайтах

R-V-K, возможно, будет полезно это обсуждение: http://forum.navitel.su/index.php?showtopic=21954&view=findpost&p=287420 .

Изменено пользователем Si
Ссылка на комментарий
Поделиться на других сайтах

  • 2 weeks later...

У меня стоит НН 5.0.3 в резидентфлеш вместе с картами, а НН 3.5 на карте памяти вместе с картами.

Лицензионный ключ просто скопировал и всё.

При запуске НН ругается на ошибку открытия скина, как тут уже говорили.

Больше никаких побочных эффектов нет.

 

До этого у меня стояли НН 3.2.6 и НН 3.5 и карты были одни на обе версии.

А в 5-м НН формат карт сменили, приходится держать два комплекта карт.

Ссылка на комментарий
Поделиться на других сайтах

У меня стоит НН 5.0.3 в резидентфлеш вместе с картами, а НН 3.5 на карте памяти вместе с картами.

Лицензионный ключ просто скопировал и всё.

При запуске НН ругается на ошибку открытия скина, как тут уже говорили.

Больше никаких побочных эффектов нет.

 

До этого у меня стояли НН 3.2.6 и НН 3.5 и карты были одни на обе версии.

А в 5-м НН формат карт сменили, приходится держать два комплекта карт.

То же самое. На внутренней памяти стоит 3.2.6,на флехе 5.0.0,работает изумительно,в первый раз ругнулся на скин,потом вылечился. Да,карты от 3 стоят в нафигаторе,от 5 на флехе.

Ссылка на комментарий
Поделиться на других сайтах

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в тему...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

×
×
  • Создать...